Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: John Goerzen <jgoerzen <at> complete.org>
Subject: Bug#531221: okular: Arbitrarily enforces DRM
Newsgroups: gmane.linux.debian.devel.general
Date: Sunday 31st May 2009 00:09:11 UTC (over 7 years ago)
Package: okular
Version: 4:4.2.2-2
Severity: normal

I'm CCing this to Debian-devel because I think it speaks to a larger
issue.

I just downloaded a PDF, and tried to copy and paste a bit of text
from it.  I used the selection tool, and Okular offered to speak it to
me, but said "Copy forbidden by DRM."

pdftotext was able to convert the entire file to text format in an
instant.

So what I want to know is: why are people putting code into Debian
that limits our freedom?  Why are people putting such code into KDE?

And can we please patch it to stop that?

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (99, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages okular depends on:
ii  kdebase-runtime        4:4.2.2-1         runtime components from the
offici
ii  kdelibs5               4:4.2.2-2         core libraries for all KDE 4
appli
ii  libc6                  2.9-12            GNU C Library: Shared
libraries
ii  libfreetype6           2.3.9-4.1         FreeType 2 font engine, shared
lib
ii  libgcc1                1:4.4.0-5         GCC support library
ii  libjpeg62              6b-14             The Independent JPEG Group's
JPEG 
ii  libokularcore1         4:4.2.2-2         libraries for the Okular
document 
ii  libphonon4             4:4.3.1-1         Phonon multimedia framework
for Qt
ii  libpoppler-qt4-3       0.10.6-1          PDF rendering library (Qt 4
based 
ii  libqca2                2.0.0-4           libraries for the Qt
Cryptographic
ii  libqimageblitz4        1:0.0.4-4         QImageBlitz image effects
library
ii  libqt4-dbus            4.5.1-2           Qt 4 D-Bus module
ii  libqt4-qt3support      4.5.1-2           Qt 3 compatibility library for
Qt 
ii  libqt4-svg             4.5.1-2           Qt 4 SVG module
ii  libqt4-xml             4.5.1-2           Qt 4 XML module
ii  libqtcore4             4.5.1-2           Qt 4 core module
ii  libqtgui4              4.5.1-2           Qt 4 GUI module
ii  libspectre1            0.2.2.ds-1+b1     Library for rendering
Postscript d
ii  libstdc++6             4.4.0-5           The GNU Standard C++ Library
v3
ii  phonon                 4:4.3.1-1         metapackage for Phonon
multimedia 
ii  zlib1g                 1:1.2.3.3.dfsg-13 compression library - runtime

okular recommends no packages.

Versions of packages okular suggests:
pn  okular-extra-backends              (no description available)
ii  texlive-base-bin           2007.dfsg.2-6 TeX Live: Essential binaries
pn  unrar                              (no description available)

-- no debconf information
 
CD: 17ms